'' 
'' このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
'' © MESCIUS inc. All rights reserved.
'' 
Imports System.IO
Imports System.Text
Imports GrapeCity.Documents.Text
Imports GrapeCity.Documents.Pdf

'' ファイルを PDF ドキュメントに添付する方法を示します。
'' また、ページ上の特定の場所に添付されている添付ファイルの注釈を示す
'' FileAttachments サンプルも参照してください。
Public Class DocAttachments
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Dim page = doc.NewPage()
        Dim files As (String, String)() =
            {
                ("Images", "tudor.jpg"),
                ("Images", "sea.jpg"),
                ("Images", "puffins.jpg"),
                ("Images", "lavender.jpg"),
                ("Images", "skye.jpg"),
                ("Images", "fiord.jpg"),
                ("Images", "newfoundland.jpg"),
                ("PDFs", "HelloWorld.pdf"),
                ("PDFs", "FormFields.pdf")
            }
        Dim sb = New StringBuilder()
        For Each f In files
            sb.AppendLine(f.Item2)
        Next
        Util.AddNote(
            "このドキュメントには、いくつかの画像および PDF が添付されています:" + vbLf + vbLf +
            sb.ToString(), page)
        For Each f In files
            Dim file = Path.Combine("Resources", f.Item1, f.Item2)
            Dim fspec = FileSpecification.FromEmbeddedFile(EmbeddedFileStream.FromFile(doc, file))
            doc.EmbeddedFiles.Add(file, fspec)
        Next
        ''
        '' PDF ドキュメントを保存します。
        doc.Save(stream)
        Return doc.Pages.Count
    End Function
End Class
